<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dma__enums" kind="group">
    <compoundname>group_dma_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__dma__enums_1ga7189163831c474aa76bcc6ede832b14e" kind="enum" prot="public" static="no">
        <name>cy_en_dma_intr_cause_t</name>
        <enumvalue id="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14ea2ceba30fc845913ec48bad044db2e39f" prot="public">
          <name>CY_DMA_INTR_CAUSE_NO_INTR</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>No interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14ead85f85bcc56e4e5808433baf63cd2bab" prot="public">
          <name>CY_DMA_INTR_CAUSE_COMPLETION</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Completion. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14eadf094391e4a5e59b3da7fd4d4731b69f" prot="public">
          <name>CY_DMA_INTR_CAUSE_SRC_BUS_ERROR</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Source bus error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14ea24e62731ada23d1b1aeace011432c9e6" prot="public">
          <name>CY_DMA_INTR_CAUSE_DST_BUS_ERROR</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>Destination bus error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14ea2295de94632ce87c59e7866b588928ee" prot="public">
          <name>CY_DMA_INTR_CAUSE_SRC_MISAL</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>Source address is not aligned. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14ea0e1af12f059a2c8315e488909a200954" prot="public">
          <name>CY_DMA_INTR_CAUSE_DST_MISAL</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>Destination address is not aligned. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14eab944307ea986e396f3031eee33f1d5c1" prot="public">
          <name>CY_DMA_INTR_CAUSE_CURR_PTR_NULL</name>
          <initializer>= 6U</initializer>
          <briefdescription>
<para>Current descriptor pointer is NULL. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14ea4570bdadfd17b7ad469c0cda20fb7843" prot="public">
          <name>CY_DMA_INTR_CAUSE_ACTIVE_CH_DISABLED</name>
          <initializer>= 7U</initializer>
          <briefdescription>
<para>Active channel is disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga7189163831c474aa76bcc6ede832b14eaae4471f787ee45527d3bb176e5451f2f" prot="public">
          <name>CY_DMA_INTR_CAUSE_DESCR_BUS_ERROR</name>
          <initializer>= 8U</initializer>
          <briefdescription>
<para>Descriptor bus error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_dma_intr_cause_t: </bold><linebreak />Contains the possible interrupt cause values.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="260" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="249" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="250" />
      </memberdef>
      <memberdef id="group__group__dma__enums_1ga69516534f5a562e8a2f55bb4203851d0" kind="enum" prot="public" static="no">
        <name>cy_en_dma_descriptor_type_t</name>
        <enumvalue id="group__group__dma__enums_1gga69516534f5a562e8a2f55bb4203851d0afd43e5a77186ad026c7d0c5ed6c5922f" prot="public">
          <name>CY_DMA_SINGLE_TRANSFER</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Single transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga69516534f5a562e8a2f55bb4203851d0a7d12c181e7b926a71c7c30eb77ac8955" prot="public">
          <name>CY_DMA_1D_TRANSFER</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>1D transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga69516534f5a562e8a2f55bb4203851d0a216c134f1ea00163587995dfc872d880" prot="public">
          <name>CY_DMA_2D_TRANSFER</name>
          <initializer>= 2UL</initializer>
          <briefdescription>
<para>2D transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga69516534f5a562e8a2f55bb4203851d0afaa774260a813d685c691c697a4c6a07" prot="public">
          <name>CY_DMA_CRC_TRANSFER</name>
          <initializer>= 3UL</initializer>
          <briefdescription>
<para>CRC transfer. </para>          </briefdescription>
          <detaileddescription>
<para>Supported by the CPUSS_ver2 only. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_dma_descriptor_type_t: </bold><linebreak />Contains the options for the descriptor type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="269" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="263" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="264" />
      </memberdef>
      <memberdef id="group__group__dma__enums_1ga46664f020f211baf0651e6c85c3c3e76" kind="enum" prot="public" static="no">
        <name>cy_en_dma_trigger_type_t</name>
        <enumvalue id="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76a6222ddd29f8c3fdea3812562bce40c23" prot="public">
          <name>CY_DMA_1ELEMENT</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>One element transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76a5fe805ceaa2e008fc0587d4d265502a5" prot="public">
          <name>CY_DMA_X_LOOP</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>One X loop transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae49e9abd58d729c9875ce44e73b1b26b" prot="public">
          <name>CY_DMA_DESCR</name>
          <initializer>= 2UL</initializer>
          <briefdescription>
<para>One descriptor transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga46664f020f211baf0651e6c85c3c3e76ae014424cc5747fb576729bc115a0ebaf" prot="public">
          <name>CY_DMA_DESCR_CHAIN</name>
          <initializer>= 3UL</initializer>
          <briefdescription>
<para>Entire descriptor chain transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_dma_trigger_type_t: </bold><linebreak />Contains the options for the interrupt, trig-in and trig-out type parameters of the descriptor.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="278" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="272" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="273" />
      </memberdef>
      <memberdef id="group__group__dma__enums_1ga167a5222a0d666c6ce9e8382e56ac192" kind="enum" prot="public" static="no">
        <name>cy_en_dma_data_size_t</name>
        <enumvalue id="group__group__dma__enums_1gga167a5222a0d666c6ce9e8382e56ac192aec7e3e4b8c0967371e3aeee51b776b5a" prot="public">
          <name>CY_DMA_BYTE</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>One byte. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga167a5222a0d666c6ce9e8382e56ac192a165d9e4e5f8bd29d1d7e86ed89b21b1b" prot="public">
          <name>CY_DMA_HALFWORD</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>Half word (two bytes). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga167a5222a0d666c6ce9e8382e56ac192a06aa9f141fdba0572953b0ffe8972ccc" prot="public">
          <name>CY_DMA_WORD</name>
          <initializer>= 2UL</initializer>
          <briefdescription>
<para>Full word (four bytes). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_dma_data_size_t: </bold><linebreak />Contains the options for the data size.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="286" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="281" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="282" />
      </memberdef>
      <memberdef id="group__group__dma__enums_1ga8ea649c82d5e7d4d4bd72403468aadee" kind="enum" prot="public" static="no">
        <name>cy_en_dma_retrigger_t</name>
        <enumvalue id="group__group__dma__enums_1gga8ea649c82d5e7d4d4bd72403468aadeea0bf275b3b0a14445f5adb266865664ee" prot="public">
          <name>CY_DMA_RETRIG_IM</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Retrigger immediately. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga8ea649c82d5e7d4d4bd72403468aadeeaea2681d8a88e496e081ac4dd00ff49d4" prot="public">
          <name>CY_DMA_RETRIG_4CYC</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>Retrigger after 4 Clk_Slow cycles. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga8ea649c82d5e7d4d4bd72403468aadeea61a946407bead8493979956bd8ee7928" prot="public">
          <name>CY_DMA_RETRIG_16CYC</name>
          <initializer>= 2UL</initializer>
          <briefdescription>
<para>Retrigger after 16 Clk_Slow cycles. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga8ea649c82d5e7d4d4bd72403468aadeea668d5b1b65106f38c853ac61f0592d8c" prot="public">
          <name>CY_DMA_WAIT_FOR_REACT</name>
          <initializer>= 3UL</initializer>
          <briefdescription>
<para>Wait for trigger reactivation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_dma_retrigger_t: </bold><linebreak />Contains the options for descriptor retriggering.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="295" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="289" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="290" />
      </memberdef>
      <memberdef id="group__group__dma__enums_1ga2e6a1fad6945ca581ebd0fdbb8748314" kind="enum" prot="public" static="no">
        <name>cy_en_dma_transfer_size_t</name>
        <enumvalue id="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314aea23c6147357af90fdb8d6a6239925c8" prot="public">
          <name>CY_DMA_TRANSFER_SIZE_DATA</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>As specified by dataSize. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga2e6a1fad6945ca581ebd0fdbb8748314a559ffa18c8d6862e31c444eed54de51e" prot="public">
          <name>CY_DMA_TRANSFER_SIZE_WORD</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>A full word (four bytes). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_dma_transfer_size_t: </bold><linebreak />Contains the options for the transfer size.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="302" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="298" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="299" />
      </memberdef>
      <memberdef id="group__group__dma__enums_1ga75740ce8bf02f62bc9e6c86307369f67" kind="enum" prot="public" static="no">
        <name>cy_en_dma_channel_state_t</name>
        <enumvalue id="group__group__dma__enums_1gga75740ce8bf02f62bc9e6c86307369f67a7f4266bff1786e17ba9b892ba03334db" prot="public">
          <name>CY_DMA_CHANNEL_ENABLED</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Channel stays enabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1gga75740ce8bf02f62bc9e6c86307369f67afb7665ee6d80f947a9decbb01f92f19f" prot="public">
          <name>CY_DMA_CHANNEL_DISABLED</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>Channel is disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_dma_channel_state_t: </bold><linebreak />Contains the options for the state of the channel when the descriptor is completed.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="309" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="305" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="306" />
      </memberdef>
      <memberdef id="group__group__dma__enums_1gafbef983fffc7c7bb724322e8f64d32e5" kind="enum" prot="public" static="no">
        <name>cy_en_dma_status_t</name>
        <enumvalue id="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a5223359d0e1e316300e678afaa8cee96" prot="public">
          <name>CY_DMA_SUCCESS</name>
          <initializer>= 0x00UL</initializer>
          <briefdescription>
<para>Success. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__dma__enums_1ggafbef983fffc7c7bb724322e8f64d32e5a1e0457801b21039ae371adb8d46f3a4a" prot="public">
          <name>CY_DMA_BAD_PARAM</name>
          <initializer>= CY_DMA_ID | CY_PDL_STATUS_ERROR | 0x01UL</initializer>
          <briefdescription>
<para>The input parameters passed to the DMA API are not valid. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_dma_status_t: </bold><linebreak />Contains the return values of the DMA driver.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="316" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="312" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="313" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>